E-File Magic

W-9 requests

Find W-9 recipient matches

Read potential recipient matches for completed W-9 requests.

POST
/api/v1/w9/recipient_matches/get_many
Authentication
OAuth 2.0 access token
Required scopes
w9.read
Idempotency key
Not required
Rate-limit cost
2 units

Request fields

1 fields
request_idsRequiredarray<string (uuid)>

IDs of the W-9 requests to process. Minimum items: 1. Maximum items: 100. Items must be unique.

Headers (2)
AuthorizationRequired
OAuth RS256 access token issued for the EFM API resource. Interactive EFM session tokens are rejected.
DPoPConditional / optional
Required when the application, connection, or credential is proof-of-possession bound.

Complete request schema: ApiV1W9RecipientMatchesGetManyRequest

Request example

cURL request
curl --request POST 'https://api.efilemagic.com/api/v1/w9/recipient_matches/get_many' \
  --header 'Authorization: Bearer <access-token>' \
  --header 'Content-Type: application/json' \
  --data '{"request_ids":["11111111-1111-4111-8111-111111111111"]}'

Replace placeholders with your own values. Use the API resource origin provided for your environment.